//产品收藏上拉
var favorite_products_style = "product_li";
var favorite_groups_style = "groups_li";
var body_style = "mui-media-body";
var money_style = "p5-indent-money";
var favorite_productsUp = function() {
		mui.ajax(BASE_URL + 'favorite_products', {
			data: {
				token: getState().token,
				page: page
			},
			dataType: 'json',
			type: 'get',
			timeout: '10000',
			success: function(data) {
				var table = document.body.querySelector('#p5-favorite-list-ul');
				table.className = 'mui-table-view product_ul';
				if (mui.os.ios) {
					if (document.querySelector("#pullrefresh").clientWidth <= 320) {
						favorite_products_style = "product_li_ios";
					}
				}
				for (var i = 0; i < data.length; i++) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell ' + favorite_products_style;
					li.id = 'product_' + data[i].product_id;
					li.name = data[i].swipeshow_id;
					li.innerHTML = '<img width="70px" height="70px" class="mui-pull-left" src="images/blank.gif" data-echo="data:image/jpeg;base64,' + data[i].thumbnail + '"/>' +
						'<div class="mui-media-body mui-ellipsis mui-navigate-right">' +
						'<span class="mui-ellipsis p5-recently-name">' + data[i].product_name + '</span>' +
						'<span class="p5-recently-money">￥' + data[i].price + '</span>' +
						'<p class="mui-ellipsis">' + data[i].description + '</p>' +
						'</div>';
					table.appendChild(li);
					//刷新offset
					if (data[i].id > offset) {
						offset = data[i].id;
					}
				}
				if (data.length == 10) {
					page++;
					mui('#pullrefresh').pullRefresh().refresh(true);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh();
				} else {
					//参数为true代表没有更多数据了。
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				}
				echo.init();
			},
			error: function(xhr, type, errorThrown) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				error_code_handle(xhr, type, errorThrown)
			}
		});
	}
	//产品收藏下拉
var favorite_productsDow = function() {
	mui.ajax(BASE_URL + 'favorite_products', {
		data: {
			token: getState().token,
			offset: offset
		},
		dataType: "json",
		type: "get",
		timeout: "15000",
		success: function(data) {
			var table = document.body.querySelector('#p5-favorite-list-ul');
			table.className = 'mui-table-view product_ul';
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320) {
					favorite_products_style = "product_li_ios";
				}
			}
			for (var i = data.length; i > 0; i--) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell ' + favorite_products_style;
				li.id = 'product_' + data[i - 1].product_id;
				li.name = data[i - 1].swipeshow_id;
				li.innerHTML = '<img width="70px" height="70px" class="mui-pull-left" src="images/blank.gif" data-echo="data:image/jpeg;base64,' + data[i - 1].thumbnail + '"/>' +
					'<div class="mui-media-body mui-ellipsis mui-navigate-right">' +
					'<span class="mui-ellipsis p5-recently-name">' + data[i - 1].product_name + '</span>' +
					'<span class="p5-recently-money">￥' + data[i - 1].price + '</span>' +
					'<p class="mui-ellipsis">' + data[i - 1].description + '</p>' +
					'</div>';
				table.insertBefore(li, table.firstChild);
				//刷新offset
				if (data[i - 1].id > offset) {
					offset = data[i - 1].id;
				}
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			echo.init();
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

//公司收藏上拉
var favorite_groupsUp = function() {
		mui.ajax(BASE_URL + "favorite_groups", {
			data: {
				token: getState().token,
				page: page
			},
			type: "get",
			dataType: "json",
			timeout: 15000,
			success: function(data) {
				var table = document.querySelector('#p5-favorite-list-ul');
				table.className = 'mui-table-view groups_ul';
				if (mui.os.ios) {
					if (document.querySelector("#pullrefresh").clientWidth <= 320) {
						favorite_groups_style = "groups_li_ios";
					}
				}
				for (var i = 0; i < data.length; i++) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell ' + favorite_groups_style;
					li.id = 'group_' + data[i].group;
					li.innerHTML = '<img width="70px" height="70px" class="mui-pull-left" src="images/blank.gif" data-echo="data:image/jpeg;base64,' + data[i].thumbnail + '"/>' +
						'<div class="mui-media-body mui-ellipsis mui-navigate-right">' +
						'<span class="mui-ellipsis p5-recently-name">' + data[i].name + '</span>' +
						'<p class="mui-ellipsis-2">' + data[i].description + '</p>' +
						'</div>';
					table.appendChild(li);
					//刷新offset
					if (data[i].id > offset) {
						offset = data[i].id;
					}
				}
				if (data.length == 10) {
					page++;
					mui('#pullrefresh').pullRefresh().refresh(true);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh();
				} else {
					//参数为true代表没有更多数据了。
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				}
				echo.init();
			},
			error: function(xhr, type, errorThrown) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				error_code_handle(xhr, type, errorThrown)
			}
		});
	}
	//公司收藏下拉
var favorite_groupsDow = function() {
	mui.ajax(BASE_URL + "favorite_groups", {
		data: {
			token: getState().token,
			offset: offset
		},
		type: "get",
		dataType: "json",
		timeout: 15000,
		success: function(data) {
			var table = document.querySelector('#p5-favorite-list-ul');
			table.className = 'mui-table-view groups_ul';
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320) {
					favorite_groups_style = "groups_li_ios";
				}
			}
			for (var i = data.length; i > 0; i--) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell ' + favorite_groups_style;
				li.id = 'group_' + data[i - 1].group;
				li.innerHTML = '<img width="70px" height="70px" class="mui-pull-left" src="images/blank.gif" data-echo="data:image/jpeg;base64,' + data[i - 1].thumbnail + '"/>' +
					'<div class="mui-media-body mui-ellipsis mui-navigate-right">' +
					'<span class="mui-ellipsis p5-recently-name">' + data[i - 1].name + '</span>' +
					'<p class="mui-ellipsis-2">' + data[i - 1].description + '</p>' +
					'</div>';
				table.appendChild(li);
				//刷新offset
				if (data[i - 1].id > offset) {
					offset = data[i - 1].id;
				}
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			echo.init();
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

//文章收藏上拉
var favorite_articleUp = function() {
		mui.ajax(BASE_URL + 'favorite_articles', {
			data: {
				token: getState().token,
				page: page
			},
			dataType: 'json',
			type: 'get',
			timeout: 10000,
			success: function(data) {
				var table = document.querySelector('#p5-favorite-list-ul');
				table.className = 'mui-table-view article_ul';
				for (var i = 0; i < data.length; i++) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell';
					li.id = 'articles_li';
					li.innerHTML = '<a id="' + data[i].article + '" target="articles_details">' +
						'<img width="70px" height="70px" class="mui-pull-left" src="images/blank.gif" data-echo="data:image/jpeg;base64,' + data[i].thumbnail + '">' +
						'<div class="mui-ellipsis mui-media-body">' +
						'<span class="mui-ellipsis">' + data[i].name + '</span>' +
						'<p class="mui-ellipsis-2" id="p5-articles-list-content">' + data[i].content + '</p>' +
						'</div>' +
						'</a>';
					var div = document.createElement('div');
					div.className = 'p5-articles-seperator';
					table.appendChild(li);
					table.appendChild(div);
					//刷新offset
					if (data[i].id > offset) {
						offset = data[i].id;
					}
				}
				if (data.length == 10) {
					page++;
					mui('#pullrefresh').pullRefresh().refresh(true);
					mui('#pullrefresh').pullRefresh().endPullupToRefresh();
				} else {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				}
				echo.init();
			},
			error: function(xhr, type, errorThrown) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				error_code_handle(xhr, type, errorThrown)
			}
		});
	}
	//文章收藏下拉
var favorite_articleDow = function() {
	mui.ajax(BASE_URL + 'favorite_articles', {
		data: {
			token: getState().token,
			offset: offset
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			var table = document.querySelector('#p5-favorite-list-ul');
			table.className = 'mui-table-view article_ul';
			for (var i = data.length; i > 0; i--) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.id = 'articles_li';
				li.innerHTML = '<a id="' + data[i - 1].article + '" target="articles_details">' +
					'<img width="70px" height="70px" class="mui-pull-left" src="images/blank.gif" data-echo="data:image/jpeg;base64,' + data[i - 1].thumbnail + '">' +
					'<div class="mui-ellipsis mui-media-body">' +
					'<span class="mui-ellipsis">' + data[i - 1].name + '</span>' +
					'<p class="mui-ellipsis-2" id="p5-articles-list-content">' + data[i - 1].content + '</p>' +
					'</div>' +
					'</a>';
				var div = document.createElement('div');
				div.className = 'p5-articles-seperator';
				table.insertBefore(li, table.firstChild);
				table.insertBefore(div, li.nextSibling);
				//刷新offset
				if (data[i - 1].id > offset) {
					offset = data[i - 1].id;
				}
			}
			//参数为true代表没有更多数据了。
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			echo.init();
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

//订单列表上拉
var indent_up = function() {
	mui.ajax(BASE_URL + 'transactions', {
		data: {
			token: getState().token,
			status: btn_to,
			page: page
		},
		dataType: 'json',
		type: 'get',
		timeout: '15000',
		success: function(data) {
			var table = document.body.querySelector('#p5-indent-list-ul');
			var button_to = '';
			var button_delete = '';
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320) {
					body_style = "mui-media-body-ios";
					money_style = "p5-indent-money-ios";
				}
			}
			
			for (var i = 0; i < data.length; i++) {
				var tradeStatus = '';
				var pname = '';
				var pthumbnail = (data[i].product.length - 1);
				if (data[i].trade_status == 0) {
					tradeStatus = '未支付';
				} else if (data[i].trade_status == 2 && data[i].is_delivery == 4) {
					tradeStatus = '待收货';
				} else if (data[i].trade_status == 2 && data[i].is_delivery == 5) {
					tradeStatus = '已收货';
				} else if(data[i].trade_status == 2) {
					tradeStatus = '已支付';
				}

				for (var j = 0; j < data[i].product.length; j++) {
					pname += data[i].product[j].product_name;
				}
				if (data[i].product.length > 0) {
					if (btn_to == 2 || tradeStatus != '未支付' ) {
						button_to = '<button id="' + data[i].transaction_id + '" class="mui-btn" to="evaluation" tostatus="' + tradeStatus + '" status="2">订单详情</button>';
						button_delete = '';
					} else {
						button_to = '<button id="' + data[i].transaction_id + '" class="mui-btn" to="evaluation" tostatus="' + tradeStatus + '" status="0">订单详情</button>';
						button_delete = '<button id="' + data[i].transaction_id + '" class="mui-btn" to="delete">删除订单</button>';
					}
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell p5-indent-list-li';
					li.id = data[i].transaction_id;
					li.innerHTML = '<div id="' + data[i].transaction_id + '" to="' + tradeStatus + '" class="p5-indent-list-li-tap">' +
						'<img width="70px" height="70px" class="mui-pull-left" src="images/blank.gif" data-echo="data:image/jpeg;base64,' + data[i].product[pthumbnail].thumbnail + '" />' +
						'<div class="'+ body_style +'">' +
						'<span class="mui-ellipsis-2 p5-indent-name">' + pname + '</span>' +
						'<span class="'+ money_style +'">￥' + data[i].total_price + '</span>' +
						'</div>' +
						'<div class="p5-indent-time">' +
						'<span class="mui-pull-right">' + data[i].created_time + '</span>' +
						'</div></div>' +
						'<div class="p5-indent-btn" align="right">' +
						'<span class="p5-indent-status">' + tradeStatus + '</span>' + button_delete + button_to +
						'</div>';
					var div = document.createElement('div');
					div.className = 'p5-indent-seperator';

					table.appendChild(li);
					table.appendChild(div);
				}
				//刷新offset
				if (data[i].transaction_id > offset) {
					offset = data[i].transaction_id;
				}
			}
			if (data.length == 10) {
				page++;
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			} else {
				//参数为true代表没有更多数据了。
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			}
			echo.init();
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

//订单下拉
var indent_dow = function() {
	mui.ajax(BASE_URL + 'transactions', {
		data: {
			token: getState().token,
			status: btn_to,
			offset: offset,
		},
		dataType: 'json',
		type: 'get',
		timeout: '10000',
		success: function(data) {
			var table = document.body.querySelector('#p5-indent-list-ul');
			var button_to = '';
			var button_delete = '';
			if (mui.os.ios) {
				if (document.querySelector("#pullrefresh").clientWidth <= 320) {
					body_style = "mui-media-body-ios";
					money_style = "p5-indent-money-ios";
				}
			}
			
			for (var i = data.length; i > 0; i--) {
				var tradeStatus = '';
				var pname = '';
				var pthumbnail = (data[i - 1].product.length - 1);

				if (data[i - 1].trade_status == 0) {
					tradeStatus = '未支付';
				} else if (data[i - 1].trade_status == 2 && data[i - 1].is_delivery == 4) {
					tradeStatus = '待收货';
				} else if (data[i - 1].trade_status == 2 && data[i - 1].is_delivery == 5) {
					tradeStatus = '已收货';
				} else if(data[i - 1].trade_status == 2) {
					tradeStatus = '已支付';
				}
				for (var j = data[i - 1].product.length; j > 0; j--) {
					pname += data[i - 1].product[j - 1].product_name;
				}
				if (data[i - 1].product.length > 0) {
					if (btn_to == 2 || tradeStatus != '未支付') {
						button_to = '<button id="' + data[i - 1].transaction_id + '" class="mui-btn" to="evaluation" tostatus="' + tradeStatus + '" status="2">订单详情</button>';
						button_delete = '';
					} else {
						button_to = '<button id="' + data[i - 1].transaction_id + '" class="mui-btn" to="evaluation" tostatus="' + tradeStatus + '" status="0">订单详情</button>';
						button_delete = '<button id="' + data[i - 1].transaction_id + '" class="mui-btn" to="delete">删除订单</button>';
					}
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell p5-indent-list-li';
					li.id = data[i - 1].transaction_id;
					li.innerHTML = '<div id="' + data[i - 1].transaction_id + '" to="' + tradeStatus + '" class="p5-indent-list-li-tap">' +
						'<img width="70px" height="70px" class="mui-pull-left" src="images/blank.gif" data-echo="data:image/jpeg;base64,' + data[i - 1].product[pthumbnail].thumbnail + '" />' +
						'<div class="'+ body_style +'">' +
						'<span class="mui-ellipsis-2 p5-indent-name"> ' + pname + ' </span>' +
						'<span class="'+ money_style +'">￥' + data[i - 1].total_price + '</span>' +
						'</div>' +
						'<div class="p5-indent-time">' +
						'<span class="mui-pull-right">' + data[i - 1].created_time + '</span>' +
						'</div></div>' +
						'<div class="p5-indent-btn" align="right">' +
						'<span class="p5-indent-status">' + tradeStatus + '</span>' + button_delete + button_to +
						'</div>';
					var div = document.createElement('div');
					div.className = 'p5-indent-seperator';

					table.insertBefore(li, table.firstChild);
					table.insertBefore(div, li.nextSibling);
				}
				//刷新offset
				if (data[i - 1].transaction_id > offset) {
					offset = data[i - 1].transaction_id;
				}
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
			echo.init();
		},
		error: function(xhr, type, errorThrown) {
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			error_code_handle(xhr, type, errorThrown)
		}
	});
}

//具体上拉选择
var choose_up = function() {
	if (btn_to == 'p5-top-products') {
		favorite_productsUp()
	}
	if (btn_to == 'p5-top-groups') {
		favorite_groupsUp()
	}
	if (btn_to == 'p5-top-article') {
		favorite_articleUp()
	}
	if (btn_to == -1 || (btn_to > 0 && btn_to < 5)) {
		indent_up()
	}
}

//具体下拉选择
var choose_dow = function() {
	if (btn_to == 'p5-top-products') {
		favorite_productsDow()
	}
	if (btn_to == 'p5-top-groups') {
		favorite_groupsDow()
	}
	if (btn_to == 'p5-top-article') {
		favorite_articleDow()
	}
	if (btn_to == -1 || (btn_to > 0 && btn_to < 5)) {
		indent_dow()
	}

}

mui.plusReady(function() {
	btn_to = plus.webview.currentWebview().btn_to;
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	}, 100);
});

window.addEventListener("upContentList", function(e) {
	if (e.detail.btn_to == btn_to) {
		return;
	}
	if (e.detail.btn != undefined) {
		btn_to = e.detail.btn;
	} else {
		btn_to = e.detail.btn_to;
	}
	page = 1,
		offset = 1;
	document.querySelector('ul').innerHTML = '';
	mui('#pullrefresh').pullRefresh().refresh(true);
	mui('#pullrefresh').pullRefresh().pullupLoading();
});