//获取资料信息
var get_information = function(uploadImage) {
		var state = getState();
		var ws = plus.nativeUI.showWaiting();
		mui.ajax(BASE_URL + 'user_info', {
			data: {
				token: getState().token,
			},
			dataType: 'json',
			type: 'get', //HTTP请求类型
			timeout: '10000', //超时时间设置为10秒；
			success: function(data) {
				if (uploadImage) {
					state.token = getState().token;
					state.cellphone = getState().phone;
					state.isVIP = getState().role;
					state.avatur = "data:image/jpeg;base64," + data.avatur;
					state.name = getState().name;
					setState(state);
					document.getElementById('p5-me-avatar').src = "data:image/jpeg;base64," + data.avatur;
				} else {
					if (data.name != null && data.name != '') {
						document.getElementById('name_input').value = data.name;
					} else {
						document.getElementById('name_input').placeholder = "请输入昵称"
					}
					document.getElementById('gender').value = data.gender;
					document.getElementById('address_input').value = data.user_address;
					document.getElementById('p5-me-avatar').src = "data:image/jpeg;base64," + data.avatur;
				}
				ws.close();
			},
			error: function(xhr, type, errorThrown) {
				error_code_handle(xhr, type, errorThrown)
				ws.close();
			}
		});
	}
	//修改资料信息
var set_information = function() {
		mui.ajax(BASE_URL + 'update_user_info', {
			data: {
				token: getState().token,
				name: document.getElementById('name_input').value,
				gender: document.getElementById('gender').value,
				address: document.getElementById('address_input').value,
			},
			dataType: 'json',
			type: 'post', //HTTP请求类型
			timeout: '10000', //超时时间设置为10秒；
			success: function(data) {
				// 刷新me.html
				mui.fire(plus.webview.getWebviewById('me.html'), 'updataTabs');
				plus.webview.hide(plus.webview.currentWebview(), 'slide-out-right', 200);
				plus.webview.close(plus.webview.currentWebview(), 'auto', 200);
			},
			error: function(xhr, type, errorThrown) {
				error_code_handle(xhr, type, errorThrown)
			},
		});
	}
	//上传照片
var updateUserImage = function(p) {
	var wt = plus.nativeUI.showWaiting();
	var server = BASE_URL + "update_user_image";
	mui.post(server, {
		token: getState().token,
		base64image: p,
	}, function(data) {
		get_information(true);
		wt.close()
	}, "json");
}
var showActionSheet = function() {
	var bts = [{
		title: "本地相册"
	}]
	plus.nativeUI.actionSheet({
			title: "选择照片",
			cancel: "取消",
			buttons: bts
		},
		function(e) {
			if (e.index == 1) {
				plus.gallery.pick(function(p) {
					reSizeImg(p, updateUserImage);
				});
			}
		}
	);
}
mui.plusReady(function() {
	get_information();
});
document.getElementById('p5-me-avatar').addEventListener('tap', function(event) {
	showActionSheet();
});