document.addEventListener('DOMContentLoaded', function() {
	var cssfile = document.createElement("link");
	cssfile.rel = 'stylesheet';
	cssfile.type = 'text/css';
	if (localStorage.getItem("web_theme")) {
		document.querySelector("title").innerHTML = localStorage.getItem("web_title");
		switch(localStorage.getItem("web_theme")) {  
			case '1':
				cssfile.href = 'css/style_unified.css';
				break;
			case '2':
				cssfile.href = 'css/style_unified2.css';
				break;
			case '3':
				cssfile.href = 'css/style_unified3.css';
				break;
			default:
				cssfile.href = 'css/style_unified.css';
				break;
		}
	}else {
		mui.ajax(BASE_URL + "get_base", {
			data: {},
			type: "get", 
			dataType: "json",
			timeout: 15000,
			success: function(data) {
				localStorage.setItem("web_theme", data.theme);
				localStorage.setItem("web_title", data.title);
				document.querySelector("title").innerHTML = localStorage.getItem("web_title");
				switch(localStorage.getItem("web_theme")) {  
					case '1':
						cssfile.href = 'css/style_unified.css';
						break;
					case '2':
						cssfile.href = 'css/style_unified2.css';
						break;
					case '3':
						cssfile.href = 'css/style_unified3.css';
						break;
					default:
						cssfile.href = 'css/style_unified.css';
						break;
				}
			},
			error: function(xhr, type, errorThrown) {
				console.log("主题获取错误");
			}
		});
	}
	document.querySelector("head").appendChild(cssfile);
}, false);